<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.FlatcarBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <com.mcxtzhang.swipemenulib.SwipeMenuLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll_content"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginVertical="5dp"
                    android:background="@drawable/bg_item"
                    android:orientation="horizontal"
                    android:padding="10dp">

                    <ImageView
                        android:id="@+id/iv_icon"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_gravity="center"
                        android:src="@{bean.checked ? @drawable/img_plane_s : @drawable/img_plane}"
                        tools:src="@drawable/img_plane" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="15dp"
                        android:orientation="vertical">

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="平板车：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.carId}"
                                    android:textColor="@color/colorPrimary" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{3}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="状态：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.statusName}'
                                    android:textColor='@{bean.status.equals("0") ? @color/text_system : @color/red}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{3}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="自重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.carWeight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{3}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="标重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.signWeight}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{3}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="位置：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text='@{bean.positionName}'
                                    android:textColor="@color/green" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{5}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="最大载重：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.maxWeight}" />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                        <androidx.appcompat.widget.LinearLayoutCompat
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="10dp">

                            <androidx.appcompat.widget.LinearLayoutCompat
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="4"
                                android:gravity="center_vertical">

                                <TextView
                                    completeSpace="@{4}"
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="备注：" />

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="@{bean.remark}"
                                    android:textColor='@{bean.status.equals("0") ? @color/text_system : @color/red}' />

                            </androidx.appcompat.widget.LinearLayoutCompat>

                        </androidx.appcompat.widget.LinearLayoutCompat>

                    </LinearLayout>

                </androidx.appcompat.widget.LinearLayoutCompat>

            </FrameLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <TextView
                    android:id="@+id/tv_modify"
                    style="@style/tv_item_action"
                    android:background="#8313ef"
                    android:text="修改" />

            </androidx.appcompat.widget.LinearLayoutCompat>

        </com.mcxtzhang.swipemenulib.SwipeMenuLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>